libvisio::VSDGeometry Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDGeometry Class Reference
Inheritance diagram for libvisio::VSDGeometry:

## Public Member Functions
| VSDGeometry (unsigned id, unsigned level, const boost::optional< bool > &noFill, const boost::optional< bool > &noLine, const boost::optional< bool > &noShow)
virtual | ~VSDGeometry ()
void | handle (VSDCollector *collector) const
VSDGeometryListElement * | clone ()
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
bool | m_noFill
bool | m_noLine
bool | m_noShow

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

libvisio::VSDGeometry::VSDGeometry | ( | unsigned | id,
|  | unsigned | level,
|  | const boost::optional< bool > & | noFill,
|  | const boost::optional< bool > & | noLine,
|  | const boost::optional< bool > & | noShow
| ) |  |
| inline

virtual libvisio::VSDGeometry::~VSDGeometry | ( |  | ) |
| inlinevirtual

## Member Function Documentation

libvisio::VSDGeometryListElement * libvisio::VSDGeometry::clone | ( |  | ) |
| virtual

Implements libvisio::VSDGeometryListElement.

void libvisio::VSDGeometry::handle | ( | VSDCollector * | collector | ) | const
| virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

bool libvisio::VSDGeometry::m_noFill

Referenced by libvisio::VSDGeometryList::addGeometry(), and handle().

bool libvisio::VSDGeometry::m_noLine

Referenced by libvisio::VSDGeometryList::addGeometry(), and handle().

bool libvisio::VSDGeometry::m_noShow

Referenced by libvisio::VSDGeometryList::addGeometry(), and handle().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp